Summary:	List of weird band names for fortune.
Name:		fortune-mod-weird-bands
Version:	1.0
Release:	1
Copyright:	GPL
Group:		Amusements/Games
URL:		http://www.powernet.net/~chadt/humor/
Vendor:		chelle@edgenet.net
Source0:	http://www.powernet.net/~chadt/humor/band1.html
Source1:	http://www.powernet.net/~chadt/humor/band2.html
Source2:	http://www.powernet.net/~chadt/humor/band3.html
Source3:	http://www.powernet.net/~chadt/humor/band4.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}
Packager:	Chris Ausbrooks <weed@bucket.pp.ualr.edu>
AutoReqProv:	0
Requires:	/usr/games/fortune
BuildArch:	noarch

%description
These are names of actual bands, past and present.  Updated 09/30/96.  There
are currently 790 band names.  Some are quite offensive.  Formatted for use
with fortune-mod.
 
%prep
%setup -q -c -T -n %{name}-%{version}
cp %{_sourcedir}/band?.html .

%build
cat band?.html \
	| grep -v ____ \
	| grep -v "<" \
	| grep -v ">" \
	| grep -v "@" \
	| grep -v "band names" \
	| grep -v "New entries" \
	| grep -v "\[ " \
	| tr -d \\r \
	| tr -s [:space:] \
	| tr \\n "@" \
	| sed -e 's,@ ,@,g' -e 's, @,@,g' \
	| tr -s "@" \
	| tr "@" \\n \
	| tr a-m,n-z,A-M,N-Z n-z,a-m,N-Z,A-M \
	| ( 	quote=0
		read line
		while [ ! $? = 1 ] ; do
			if [ ! "$line" = "" ] ; then
				quote=$[ $quote + 1 ]
				echo -n "Sbeghar'f erny yvir jrveq onaq anzrf "
				echo "#$quote:"
				echo
				echo "$line"
				echo "%"
			fi
			read line
		done
	) > weird-bands
strfile -x weird-bands
cat band1.html \
	| ( head -n 19 ; tail -n 8 ) \
	> README.html

%install
rm -rf %{buildroot}
install -D -m 644 weird-bands \
	%{buildroot}/%{prefix}/share/games/fortunes/off/
install -D -m 644 weird-bands.dat \
	%{buildroot}/%{prefix}/share/games/fortunes/off/

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README.html
%{prefix}/share/*/*/*/*

%changelog
* Fri Jan 21 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- original rpm
- building requires tr from package textutils
- building requires sed
